MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024198Open CASCADE[OCCT] OCCT:Visualizationpublic2013-09-23 07:082013-12-19 13:58
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024198: Remove unused stuff in WNT package
DescriptionWNT package contains some code that is unused for years (win32, win95 stuff, etc.) and should be removed
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0025690)
abv (manager)
2013-09-23 07:13

I have pushed the changes to CR24198, please review
(0025691)
kgv (developer)
2013-09-23 08:51

No remarks, please test compilation and integrate (no functional changes - only unused code has been removed).
(0025746)
mkv (tester)
2013-09-26 14:15

Dear BugMaster,

Branch CR24198 (and products from GIT master) was compiled on Linux and Windows platforms and tested.


Number of compiler warnings:

occt component :
Linux: 506 (506 on master)
Windows: 31 (31 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 364591116 / 366214620
Total CPU difference: 40025.790000000656 / 42280.160000000964

Testing on Windows:
Total MEMORY difference: 428919408 / 428897688
Total CPU difference: 33204.0 / 48288.109375

There are not differences in images found by testdiff.

- Related Changesets
occt: master e4b1d802
Timestamp: 2013-09-22 09:35:10
Author: abv
Committer: bugmaster
Details ] Diff ]
0024198: Remove unused stuff in WNT package

Removed several obsolete files in WNT package (win32 and Windows 95 specific)
rm - src/WNT/Degrees.hxx Diff ] File ]
rm - src/WNT/EHDC.cxx Diff ] File ]
rm - src/WNT/EHDC.hxx Diff ] File ]
mod - src/WNT/FILES Diff ] File ]
rm - src/WNT/W32_Allocator.cxx Diff ] File ]
rm - src/WNT/W32_Allocator.hxx Diff ] File ]
rm - src/WNT/W95_Allocator.cxx Diff ] File ]
rm - src/WNT/W95_Allocator.hxx Diff ] File ]
mod - src/WNT/WNT.cdl Diff ] File ]
rm - src/WNT/WNT.h Diff ] File ]
rm - src/WNT/WNT_Allocator.cxx Diff ] File ]
rm - src/WNT/WNT_Allocator.hxx Diff ] File ]
rm - src/WNT/WNT_Bitmap.h Diff ] File ]
rm - src/WNT/WNT_ColorRef.cxx Diff ] File ]
rm - src/WNT/WNT_ColorRef.hxx Diff ] File ]
rm - src/WNT/WNT_Image.cdl Diff ] File ]
rm - src/WNT/WNT_Image.cxx Diff ] File ]
rm - src/WNT/WNT_Image.lxx Diff ] File ]
rm - src/WNT/WNT_LogFont.cxx Diff ] File ]
rm - src/WNT/WNT_LogFont.hxx Diff ] File ]
rm - src/WNT/WNT_Long.cxx Diff ] File ]
rm - src/WNT/WNT_Long.hxx Diff ] File ]
mod - src/WNT/WNT_Window.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-23 07:08 abv New Issue
2013-09-23 07:08 abv Assigned To => abv
2013-09-23 07:13 abv Note Added: 0025690
2013-09-23 07:13 abv Assigned To abv => kgv
2013-09-23 07:13 abv Status new => resolved
2013-09-23 08:51 kgv Note Added: 0025691
2013-09-23 08:51 kgv Assigned To kgv => bugmaster
2013-09-23 08:51 kgv Status resolved => reviewed
2013-09-23 11:26 mkv Assigned To bugmaster => mkv
2013-09-23 11:27 mkv Test case number => Not needed
2013-09-26 14:15 mkv Note Added: 0025746
2013-09-26 14:15 mkv Assigned To mkv => bugmaster
2013-09-26 14:15 mkv Status reviewed => tested
2013-09-30 15:53 bugmaster Changeset attached => occt master e4b1d802
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker